Reinforcement BentShapeRebar: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
Line 84: Line 84:


<translate>
<translate>
<!--T:18-->
[[Category:Arch]]
[[Category:Arch]]
</translate>
</translate>

Revision as of 16:48, 25 November 2018

Arch Rebar BentShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Stirrup
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Description

The Bent Shape Rebar tool allows user to create a bent shape reinforcing bar in the structural element.

How to use

  1. Create a structure element
  2. Select any face of the structure
  3. Then select Bent Shape Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below
  5. Select the desired orientation
  6. Give the inputs like front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click Cancel to exit the task panel

Properties

  • DataOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DataFront Cover: The distance between rebar and selected face.
  • DataLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DataRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DataBottom Cover: The distance between rebar from the bottom face of the structure.
  • DataTop Cover: The distance between rebar from the top face of the structure.
  • DataAnchor Length: It is the arm's length of bent shape rebar.
  • DataBent Angle: It decides angle in bent shape rebar.
  • DataAmount: The amount of rebars.
  • DataSpacing: The distance between the axes of each bar.

Scripting

The Bent Shape Rebar tool can by used in macros and from the python console by using the following function:

makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • The Bent Shape Rebar have four different orientations:
    • Bottom
    • Top
    • Left
    • Right
  • Adds a Bent Shape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example: Creating Bent Shape rebar.

import Arch, BentShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=100.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")

Changing properties of Bent Shape rebar.

import BentShapeRebar
BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")